﻿


;-------------------------------------------------------------------------------
MainGuiShow: ; show main GUI (fixed size)
;-------------------------------------------------------------------------------

    ; First [Show] triggers GuiSize events and WM_WINDOWPOSCHANGED or WM_MOVE,
    ; so we save the vars from ini before showing the GUI overwrites them.
    old_WinX := WinX, old_WinY := WinY

    Gui, Main: Default  ; target the MainGUI
    Gui, +LastFound     ; for WinMove
    Gui, Show, Hide     ; show window hiddenly

    ; restore size as saved
    If (old_WinX != "Center") {
        WinMove, %old_WinX%, %old_WinY%
        Critical, Off   ; make the thread interruptible
        Sleep, -1       ; process the queue
    }

    ; show main GUI
    Gui, Show

Return



;-------------------------------------------------------------------------------
MainGuiClose: ; {Alt-F4} pressed, [X] clicked
;-------------------------------------------------------------------------------
    ExitApp

Return



;-------------------------------------------------------------------------------
PermGuiClose:  ; {Alt-F4} pressed, [X] clicked
;-------------------------------------------------------------------------------
PermGuiEscape: ; {ESC} pressed
;-------------------------------------------------------------------------------
    Gui, Main: -Disabled
    Gui, Hide

Return
