﻿


;-------------------------------------------------------------------------------
WM_MOVE(wParam, lParam, msg, hWnd) { ; monitor window move events
;-------------------------------------------------------------------------------
    ; fires when window's position changes
    ;---------------------------------------------------------------------------
    static init := OnMessage(0x0003, "WM_MOVE")
    global hGui, WinX, WinY

    IfNotEqual, hWnd, %hGui%, Return ; only monitor hGui

    ; taskbar position or size can change any time
    SysGet, MWA_, MonitorWorkArea
    MWA_Width  := MWA_Right  - MWA_Left
    MWA_Height := MWA_Bottom - MWA_Top

    WinGetPos, _WinX, _WinY, _WinW, _WinH, ahk_id %hGui%
    If  ( _WinX + _WinW > 0  Or _WinY + _WinH > 0 ) ; not minimized
    And ( _WinW < MWA_Width Or _WinH < MWA_Height ) ; not maximized
        WinX := _WinX, WinY := _WinY
}
