﻿;-------------------------------------------------------------------------------
; Word list - Lengths.ahk
; by wolf_II
;-------------------------------------------------------------------------------



#NoEnv
#SingleInstance, Force
SetWorkingDir, %A_ScriptDir%
SplitPath, A_ScriptName,,,, AppName


    Spinner(5, 20, True)
    WordCount := Make_DICT()
    Spinner("Off")

    Gui, 1: New, +Resize, %AppName%
    Gui, Margin, 0, 0
    Gui, Font, s11, Consolas
    Gui, Add, ListView, w300 r15 vLView Grid NoSort, Length|# of words
    Gui, Add, StatusBar
    SB_SetText("Words: " prettify_Number(WordCount))

    Loop, % DICT.Length() {
        Count := 0, Len := A_Index
        For each, Value in DICT[A_Index]
            Count++
        LV_Add(, Len, prettify_Number(Count))
    }
    LV_ModifyCol(1, "70 Right")
    LV_ModifyCol(2, "100 Right")
    Gui, Show


Return


GuiClose:
ExitApp

GuiSize:
    GuiControl, Move, LView, % "w" A_GuiWidth " h" A_GuiHeight - 23
Return

#Include, Include\Make_DICT.ahk
#Include, <prettify_Number>
#Include, <Spinner>
