﻿


;-------------------------------------------------------------------------------
MainGuiCreate: ; create the main graphical user interface
;-------------------------------------------------------------------------------

    ; create SkipList
    Loop, % Max_Input_Length - 1
        SkipList .= A_Index "|"
    SkipList .= "show all"

    ; GUI options
    Gui, Main: New, +HWNDhGui, %AppName% v%Version%
    Gui, Font, s11, Consolas ; xm=13, ym=8

    ; client area
    Gui, Add, Text, w310, Search anagrams for this:
    Gui, Add, Edit, wp +HWNDhEdit vInput Disabled Center
    Gui, Add, Text, xm y+12, Exclude words of length:
    Gui, Add, ComboBox, x+m yp-4 w105 gShowAnagrams vSkip AltSubmit, %SkipList%
    Gui, Add, ListView, xm r15 w310 gShowMenu vLView AltSubmit -Hdr, C1
    Gui, Add, Progress, xp+1 yp+1 wp-2 hp-2 vLoading Vertical
    Gui, Font ; default

    ; status bar
    Gui, Add, StatusBar
    SB_SetParts(70, 80, 90)
    SB_SetText("Length:", 1)
    SB_SetText("Count:", 2)

Return



;-------------------------------------------------------------------------------
PermGuiCreate: ; create the popup window for displaying permutations
;-------------------------------------------------------------------------------

    ; GUI options
    Gui, Perm: New, -MinimizeBox +OwnerMain, Permutations
    Gui, Font, s11, Consolas ; xm=13, ym=8

    ; client area
    Gui, Add, ListBox, xm r15 w310 vLBox

    ; status bar
    Gui, Add, StatusBar

Return
