﻿


;-------------------------------------------------------------------------------
Handle_INI: ; handle ini-file
;-------------------------------------------------------------------------------
    Gosub, Prepare_INI
    IfExist, %AppName%.ini
        Gosub, Read_INI
    Else
        Gosub, Write_INI

Return



;-------------------------------------------------------------------------------
Prepare_INI: ; default values for ini-file dependent vars
;-------------------------------------------------------------------------------

    ; defaults for [Position]
    WinX := "Center"
    WinY := "Center"

    ; defaults for [Input]
    LastInput := ""
    LastSkip  := 5
    LastPos   := 0

Return



;-------------------------------------------------------------------------------
Read_INI: ; read settings from ini-file
;-------------------------------------------------------------------------------

    ; read [Position]
    IniRead, WinX, %AppName%.ini, Position, WinX, %WinX%
    IniRead, WinY, %AppName%.ini, Position, WinY, %WinY%

    ; read [Input]
    IniRead, LastInput, %AppName%.ini, Input, LastInput, %LastInput%
    IniRead, LastSkip,  %AppName%.ini, Input, LastSkip,  %LastSkip%
    IniRead, LastPos,   %AppName%.ini, Input, LastPos,   %LastPos%

Return



;-------------------------------------------------------------------------------
Write_INI: ; write settings to ini-file
;-------------------------------------------------------------------------------

    ; write [Position]
    IniWrite, %WinX%, %AppName%.ini, Position, WinX
    IniWrite, %WinY%, %AppName%.ini, Position, WinY

    ; write [Input]
    IniWrite, %LastInput%, %AppName%.ini, Input, LastInput
    IniWrite, %LastSkip%,  %AppName%.ini, Input, LastSkip
    IniWrite, %LastPos%,   %AppName%.ini, Input, LastPos

Return
